clang-tools 8.0.0

Classes | Public Types | Public Member Functions | List of all members
clang::clangd::SymbolSlab Class Reference

`#include <Index.h>`

## Classes
class | Builder

## Public Types
using | const_iterator = std::vector< Symbol >::const_iterator
using | iterator = const_iterator
using | value_type = Symbol

## Public Member Functions
| SymbolSlab ()=default
const_iterator | begin () const
const_iterator | end () const
const_iterator | find (const SymbolID &SymID) const
size_t | size () const
bool | empty () const
size_t | bytes () const

## Detailed Description

Definition at line 292 of file Index.h.

## Member Typedef Documentation

## ◆ const_iterator

using clang::clangd::SymbolSlab::const_iterator = std::vector<Symbol>::const_iterator

Definition at line 294 of file Index.h.

## ◆ iterator

using clang::clangd::SymbolSlab::iterator = const_iterator

Definition at line 295 of file Index.h.

## ◆ value_type

using clang::clangd::SymbolSlab::value_type = Symbol

Definition at line 296 of file Index.h.

## Constructor & Destructor Documentation

## ◆ SymbolSlab()

clang::clangd::SymbolSlab::SymbolSlab | ( |  | ) |
| default

## Member Function Documentation

## ◆ begin()

const_iterator clang::clangd::SymbolSlab::begin | ( |  | ) | const
| inline

Definition at line 300 of file Index.h.

## ◆ bytes()

size_t clang::clangd::SymbolSlab::bytes | ( |  | ) | const
| inline

Definition at line 307 of file Index.h.

References Arena.

## ◆ empty()

bool clang::clangd::SymbolSlab::empty | ( |  | ) | const
| inline

Definition at line 305 of file Index.h.

## ◆ end()

const_iterator clang::clangd::SymbolSlab::end | ( |  | ) | const
| inline

Definition at line 301 of file Index.h.

## ◆ find()

SymbolSlab::const_iterator clang::clangd::SymbolSlab::find | ( | const SymbolID & | SymID | ) | const

Definition at line 77 of file Index.cpp.

## ◆ size()

size_t clang::clangd::SymbolSlab::size | ( |  | ) | const
| inline

Definition at line 304 of file Index.h.

The documentation for this class was generated from the following files:

- Index.h
- Index.cpp